<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

class GMDS_Extension extends DiviExtension {
	/**
	 * Extension text domain.
	 *
	 * @var string
	 */
	public $gettext_domain = 'google-maps-divi-simplified';

	/**
	 * Extension name.
	 *
	 * @var string
	 */
	public $name = 'google-maps-divi-simplified';

	/**
	 * Extension version.
	 *
	 * @var string
	 */
	public $version = '0.5.4';

	/**
	 * Extension bootstrap.
	 *
	 * @param string $name Extension name.
	 * @param array  $args Extension arguments.
	 */
	public function __construct( $name = 'google-maps-divi-simplified', $args = array() ) {
		$this->plugin_dir     = plugin_dir_path( __FILE__ );
		$this->plugin_dir_url = plugin_dir_url( $this->plugin_dir );

		parent::__construct( $name, $args );
	}
}

new GMDS_Extension();
